> ## Documentation Index > Fetch the complete documentation index at: https://documents.trocco.io/llms.txt > Use this file to discover all available pages before exploring further. # 接続情報作成 > 接続情報を作成します。
接続情報については[TROCCO Docs](https://documents.trocco.io/docs/connection-configurations)を参照してください。 ## OpenAPI ````json POST /api/connections/{connection_type} { "openapi": "3.0.3", "info": { "title": "trocco APIリファレンス", "description": "trocco APIリファレンス", "version": "0.0.1" }, "servers": [ { "url": "https://trocco.io" } ], "security": [ { "ApiKeyAuth": [] } ], "tags": [ { "name": "users", "description": "ユーザー", "externalDocs": { "url": "https://documents.trocco.io/docs/about-account-user" } }, { "name": "teams", "description": "チーム", "externalDocs": { "url": "https://documents.trocco.io/docs/team" } }, { "name": "connections", "description": "接続情報", "externalDocs": { "url": "https://documents.trocco.io/docs/connection-configurations" } }, { "name": "custom_connectors", "description": "カスタムコネクタ定義" }, { "name": "datamart_definitions", "description": "データマート定義", "externalDocs": { "url": "https://documents.trocco.io/docs/data-mart" } }, { "name": "environment_groups", "description": "環境グループ" }, { "name": "environments", "description": "環境" }, { "name": "jobs", "description": "転送ジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/etl-configuration" } }, { "name": "pipeline_jobs", "description": "ワークフロージョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/about-workflow" } }, { "name": "resource_groups", "description": "リソースグループ", "externalDocs": { "url": "https://documents.trocco.io/docs/resource-group" } }, { "name": "dbt_git_repositories", "description": "dbt Gitリポジトリ" }, { "name": "dbt_job_definitions", "description": "dbtジョブ設定", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "dbt_jobs", "description": "dbtジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "notification_destinations", "description": "通知先", "externalDocs": { "url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings" } } ], "externalDocs": { "description": "trocco APIについて", "url": "https://documents.trocco.io/docs/trocco-api" }, "paths": { "/api/connections/{connection_type}": { "post": { "summary": "接続情報作成", "description": "接続情報を作成します。
\n接続情報については[TROCCO Docs](https://documents.trocco.io/docs/connection-configurations)を参照してください。\n", "operationId": "createConnection", "tags": [ "connections" ], "parameters": [ { "name": "connection_type", "description": "接続情報種別", "in": "path", "required": true, "schema": { "type": "string", "enum": [ "athena", "bigquery", "gcs", "google_spreadsheets", "snowflake", "mysql", "s3", "salesforce", "postgresql", "sqlserver", "google_analytics4", "google_drive", "kintone", "sftp", "databricks", "mongodb", "marketo", "redshift", "oracle", "custom_connector", "backlog", "bakuraku", "kaonavi", "pagerduty", "smart_hr" ] }, "example": "bigquery" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "name": { "type": "string", "description": "接続情報名", "example": "サンプル" }, "description": { "type": "string", "description": "接続情報の説明", "example": "desc" }, "resource_group_id": { "type": "integer", "format": "int64", "description": "リソースグループID", "example": 1 }, "athena_url": { "type": "string", "description": "Athenaの場合: AthenaのURL\n" }, "s3_staging_directory": { "type": "string", "description": "Athenaの場合: S3ステージングディレクトリ\n" }, "aws_access_key_id": { "type": "string", "description": "Athena, S3, Redshiftの場合: AWSアクセスキーID\n" }, "aws_secret_access_key": { "type": "string", "description": "Athena, S3, Redshiftの場合: AWSシークレットアクセスキー\n" }, "service_account_json_key": { "type": "string", "description": "BigQuery, GCS, Google Spreadsheets、GoogleAnalytics4、Google Driveの場合: サービスアカウント認証を使用する場合はサービスアカウントJSONキーを指定します。\n" }, "is_workload_identity_federation": { "type": "boolean", "description": "BigQueryの場合: Workload Identity Federation認証を使用しているかどうか\n", "example": true }, "workload_identity_federation_config": { "type": "object", "description": "BigQueryの場合: Workload Identity Federation設定(JSON object)\n", "additionalProperties": true, "example": { "type": "external_account", "audience": "//iam.googleapis.com/projects/123456789012/locations/global/workloadIdentityPools/example-pool/providers/example-provider", "subject_token_type": "urn:ietf:params:oauth:token-type:jwt", "token_url": "https://sts.googleapis.com/v1/token" } }, "project_id": { "type": "string", "description": "BigQuery, GCSの場合: プロジェクトID\n" }, "host": { "type": "string", "nullable": true, "description": "Snowflake, MySQL, PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracle, SmartHRの場合: ホスト名\nOracleの場合: tns_admin_oraを指定する場合は不要です\nBacklogの場合: ホスト名。ポート番号を含めることができます(例: *.backlog.com:443)\nSmartHRの場合: ホスト名。ポート番号を含めることができます(例: *.smarthr.jp)\n", "example": "********.*********.*********snowflakecomputing.com" }, "server_hostname": { "type": "string", "description": "Databricksの場合: サーバーホスト名\n", "example": "********.cloud.databricks.com" }, "http_path": { "type": "string", "description": "Databricksの場合: HTTPパス\n", "example": "sql/protocolv1/o/1234567890123456/0123-456789-abcd123" }, "auth_method": { "type": "string", "description": "Snowflakeの場合: 認証方法を指定します。\n- key_pair: private_key を指定\n- programmatic_access_token: pat_token を指定\n- user_password: password を指定。なお、ユーザー・パスワード認証は、Snowflakeの仕様変更により将来的に廃止される予定です。新規で接続情報を作成する場合は、キーペア認証またはプログラムによるアクセストークン認証から選択してください。\nMongoDBの場合: 認証方法 (auto, scram-sha-1, scram-sha-256, mongodb-x509).\n", "enum": [ "user_password", "key_pair", "programmatic_access_token", "auto", "scram-sha-1", "scram-sha-256", "mongodb-x509" ], "example": "key_pair" }, "auth_type": { "type": "string", "enum": [ "pat", "oauth-m2m" ], "default": "pat", "description": "Databricksの場合: 認証方法\n", "example": "pat" }, "user_name": { "type": "string", "description": "Snowflake, MySQL, Salesforce, PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracleの場合: ユーザー名\n", "example": "test" }, "private_key": { "type": "string", "description": "Snowflakeの場合: キーペア認証を使用する場合は秘密鍵を指定します。\n" }, "private_key_passphrase": { "type": "string", "description": "Snowflakeの場合: 秘密鍵にパスフレーズが設定されている場合に指定します。\n" }, "password": { "type": "string", "description": "Snowflake, MySQL, Salesforce, PostgreSQL, SQL Server, Kintone, SFTPの場合, MongoDB, Redshift, Oracle, カオナビの場合: ユーザー・パスワード認証を使用する場合はパスワードを指定します。\n", "example": "********" }, "pat_token": { "type": "string", "description": "Snowflakeの場合: プログラムによるアクセストークン (PAT) 認証を使用する場合に指定します。auth_method が \"programmatic_access_token\" の場合に必須です。\n", "example": "********" }, "role": { "type": "string", "description": "Snowflakeの場合: クエリの実行に使用するロール。未入力の場合、Snowflakeのデフォルトの設定が利用されます。\n" }, "application_name": { "type": "string", "default": "trocco", "description": "GCSの場合: APIリクエスト時のUserAgentとして利用されます。転送先Google Cloud Storageでのみ使用されます\n" }, "service_account_email": { "type": "string", "description": "GCSの場合: サービスアカウントのメールアドレス。サービスアカウントEmailの取得方法は[ドキュメント](https://documents.trocco.io/docs/connection-configuration-google-cloud-storage)をご参照ください。\n" }, "port": { "type": "integer", "nullable": true, "description": "MySQL, PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracleの場合: 接続先ポート\nOracleの場合: tns_admin_oraを指定する場合は不要です\n" }, "ssl": { "type": "boolean", "description": "MySQL, PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSL\n", "example": true }, "ssl_ca": { "type": "string", "description": "MySQL, PostgreSQL, Oracleの場合: CA証明書\n" }, "tns_admin_ora": { "type": "string", "nullable": true, "description": "Oracleの場合: TNSネーミングを使用して接続する場合の tnsnames.ora の内容。指定した場合、host / port / connection_type は無視されます。\n", "example": "ORCL =\n (DESCRIPTION =\n (ADDRESS = (PROTOCOL = TCP)(HOST = example.com)(PORT = 1521))\n (CONNECT_DATA = (SERVICE_NAME = orcl))\n )\n" }, "wallet_file": { "type": "string", "format": "byte", "nullable": true, "description": "Oracleの場合: Oracle Wallet (Autonomous Database接続用の証明書ファイル、cwallet.sso) のBase64エンコードされた内容。未指定の場合は既存の設定を維持します。nullを指定すると設定を削除します。\n", "example": "MIIKXgIBAzCCCh..." }, "ssl_cert": { "type": "string", "description": "MySQLの場合: 証明書 (CRTファイル)\n" }, "ssl_key": { "type": "string", "description": "MySQLの場合: 鍵 (KEYファイル)\n" }, "ssl_client_ca": { "type": "string", "description": "PostgreSQL, MongoDBの場合: クライアント証明書\n" }, "ssl_client_key": { "type": "string", "description": "PostgreSQL, MongoDBの場合: クライアント秘密鍵\n" }, "ssl_mode": { "type": "string", "enum": [ "require", "verify-ca" ], "description": "PostgreSQLの場合: SSLモード\n" }, "driver": { "type": "string", "nullable": true, "enum": [ "mysql_connector_java_5_1_49", "snowflake_jdbc_3_14_2", "snowflake_jdbc_3_17_0", "postgresql_42_5_1", "postgresql_9_4_1205_jdbc41", "ms_sqlserver_jdbc_driver_8_2", "ms_sqlserver_jdbc_driver_12_6", "ms_sqlserver_jdbc_driver_13_4", "jtds_driver_1_3_1", "12c-ojdbc7.jar", "19c-ojdbc8.jar", "26ai-ojdbc8.jar" ], "description": "Snowflake, MySQL, PostgreSQL, SQL Server の場合: JDBCドライバのバージョン\nOracleの場合: JDBCドライバのファイル名 (12c-ojdbc7.jar, 19c-ojdbc8.jar, 26ai-ojdbc8.jar)\n" }, "gateway_enabled": { "type": "boolean", "description": "MySQL, PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSHトンネルを使用する場合はtrueを指定します。\n" }, "gateway_host": { "type": "string", "description": "MySQL, PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSHホスト\n" }, "gateway_port": { "type": "integer", "description": "MySQL, PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSHポート\n" }, "gateway_user_name": { "type": "string", "description": "MySQL, PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSHユーザー\n" }, "gateway_password": { "type": "string", "description": "MySQL, PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSHパスワード\n" }, "gateway_key": { "type": "string", "description": "MySQL, PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSH秘密鍵\n" }, "gateway_key_passphrase": { "type": "string", "description": "MySQL, PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSH秘密鍵のパスフレーズ\n" }, "aws_auth_type": { "type": "string", "enum": [ "iam_user", "assume_role" ], "default": "iam_user", "description": "S3の場合: AWS認証方式\n" }, "aws_assume_role_account_id": { "type": "integer", "description": "S3の場合: AssumeRoleのAWSアカウントID\n" }, "aws_assume_role_name": { "type": "string", "description": "S3の場合: AssumeRoleのIAMロール名\n" }, "auth_end_point": { "type": "string", "default": "https://login.salesforce.com/services/Soap/u/", "description": "Salesforceの場合: 認証エンドポイント\n" }, "security_token": { "type": "string", "description": "Salesforceの場合: セキュリティトークン\n" }, "domain": { "type": "string", "description": "Kintoneの場合: ドメイン\n" }, "username": { "type": "string", "description": "Kintone, カオナビの場合: ユーザーネーム\n" }, "token": { "type": "string", "description": "Kintoneの場合: トークン\n" }, "personal_access_token": { "type": "string", "description": "Databricksの場合: パーソナルアクセストークン\n" }, "oauth2_client_id": { "type": "string", "description": "Databricksの場合: OAuth2 クライアントID\nカスタムコネクタ(OAuth2認証方式)の場合: OAuth2クライアントID\n" }, "oauth2_client_secret": { "type": "string", "description": "Databricksの場合: OAuth2 クライアントシークレット\nカスタムコネクタ(OAuth2認証方式)の場合: OAuth2クライアントシークレット(グラントの種類に関わらず作成時必須)\n" }, "connection_string_format": { "type": "string", "enum": [ "standard", "dns_seed_list" ], "default": "standard", "description": "MongoDBの場合: 接続文字列フォーマット\n" }, "read_preference": { "type": "string", "enum": [ "primary", "primaryPreferred", "secondary", "secondaryPreferred", "nearest" ], "default": "primary", "description": "MongoDBの場合: 読み取り設定\n" }, "auth_source": { "type": "string", "description": "MongoDBの場合: 認証データベース名\n" }, "replica_set": { "type": "string", "description": "MongoDBの場合: レプリカセット名\n" }, "read_preference_tags": { "type": "array", "description": "MongoDBの場合: 読み取り設定タグ。タグセットの配列で、各タグセットは{key, value}オブジェクトの配列です。\n", "items": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string" }, "value": { "type": "string" } }, "required": [ "key", "value" ] } }, "example": [ [ { "key": "dc", "value": "east" }, { "key": "rack", "value": "r1" } ] ] }, "strict_read_preference_tags": { "type": "boolean", "default": false, "description": "MongoDBの場合: 厳密な読み取り設定タグ。trueの場合、タグに一致するサーバーがない場合にフォールバックしません。\n" }, "basic_auth_username": { "type": "string", "description": "Kintoneの場合: ベーシック認証ユーザーネーム。\nclient_certificate_enabledがtrueの場合も送信されますが、kintoneのセキュアアクセス(サブドメイン.s.cybozu.com)での接続ではベーシック認証は検査されません。\n" }, "basic_auth_password": { "type": "string", "description": "Kintoneの場合: ベーシック認証パスワード。\nclient_certificate_enabledがtrueの場合も送信されますが、kintoneのセキュアアクセス(サブドメイン.s.cybozu.com)での接続ではベーシック認証は検査されません。\n" }, "login_method": { "type": "string", "description": "Kintoneの場合: ログイン方法\n", "default": "username_and_password", "enum": [ "token", "username_and_password" ] }, "client_certificate_enabled": { "type": "boolean", "description": "Kintoneの場合: クライアント証明書(セキュアアクセス)を使用するかどうか。\nセキュアアクセスを利用する場合は、domainに「サブドメイン.s.cybozu.com」を指定してください。\ntrueの場合、basic_auth_usernameとbasic_auth_passwordが設定されていてもエラーにはならず、セキュアアクセスでの接続ではベーシック認証は検査されません。\n", "default": false }, "client_certificate": { "type": "string", "format": "byte", "description": "Kintoneの場合: クライアント証明書。kintoneのセキュアアクセス設定で発行したPFXファイルをbase64エンコードした文字列(Terraformではfilebase64()で渡せます)。改行は含めないでください(base64 -w 0など。含まれていた場合は無視します)。\nclient_certificate_enabledがtrueのとき、作成時は必須です。client_certificate_enabledがfalse(作成時に省略した場合を含む)のまま指定すると400になります。\n更新時に省略すると、登録済みの証明書とパスワードを維持します。空文字は解除として扱うため、client_certificate_enabledがtrueのまま空文字を指定すると400になります(証明書を外す場合はclient_certificate_enabledをfalseにしてください)。\n証明書を差し替えるときは、その証明書のパスワードをclient_certificate_passwordに一緒に指定してください。省略すると登録済みのパスワードで検証されます。パスワードなしのPFXに差し替える場合は空文字を指定してください。差し替えると、画面でアップロードしたときのファイル名は表示されなくなります。\n" }, "client_certificate_password": { "type": "string", "description": "Kintoneの場合: クライアント証明書のパスワード。PFXにパスワードが設定されている場合に指定します(パスワードなしのPFXでは省略できます)。\n更新時に省略すると登録済みのパスワードを維持し、空文字を指定すると解除します(パスワードなしのPFXとして扱います)。登録済みまたは指定したパスワードで証明書を読み込めない場合は400になります。\n" }, "api_key": { "type": "string", "description": "Backlog, SmartHR, バクラク, PagerDutyの場合: APIキー\nカスタムコネクタの場合: APIキーや認証トークン(api_key認証方式のコネクタ定義のときに必須)\n" }, "user_directory_is_root": { "type": "boolean", "description": "SFTPの場合: 相対パスとして探索する\n", "default": true }, "windows_server": { "type": "boolean", "description": "SFTPの場合: Windowsサーバー\n" }, "aws_privatelink_enabled": { "type": "boolean", "description": "SFTP, Redshift, Oracleの場合: セキュア通信機能AWS PrivateLinkオプションを有効にする\n" }, "ssh_tunnel_id": { "type": "integer", "description": "SFTP, Redshift, Oracleの場合: SSHトンネル設定\n" }, "secret_key": { "type": "string", "description": "SFTPの場合:「-----BEGIN RSA PRIVATE KEY-----」で始まるRSA秘密鍵\n" }, "secret_key_passphrase": { "type": "string", "description": "SFTPの場合: 秘密鍵のパスフレーズ\n" }, "account_id": { "type": "string", "description": "Marketoの場合: REST APIのエンドポイントの中の一部がアカウントIDになっています。\nhttps://XXX-XXX-XXX.mktorest.com/rest におけるXXX-XXX-XXXの部分です。\n" }, "client_id": { "type": "string", "description": "Marketoの場合: クライアントID\n" }, "client_secret": { "type": "string", "description": "Marketoの場合: クライアントシークレット\n" }, "api_max_call_count": { "type": "integer", "description": "Marketoの場合: APIコール上限値\n", "default": 1000 }, "custom_connector_id": { "type": "integer", "format": "int64", "description": "カスタムコネクタの場合: 接続情報を紐付けるカスタムコネクタ定義のID(作成時に必須。作成後は変更不可)\n", "example": 1 }, "scopes": { "type": "array", "items": { "type": "string" }, "description": "カスタムコネクタ(OAuth2認証方式)の場合: OAuth2スコープ一覧\n", "example": [ "read", "write" ] } }, "required": [ "name" ], "example": { "name": "サンプル", "description": "desc", "resource_group_id": 1 } } } } }, "responses": { "201": { "description": "指定した接続情報の詳細を返します。", "content": { "application/json": { "schema": { "title": "Connection", "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "接続情報ID", "example": 1 }, "name": { "type": "string", "description": "接続情報名", "example": "サンプル" }, "description": { "type": "string", "description": "接続情報の説明", "example": "desc" }, "resource_group_id": { "type": "integer", "format": "int64", "description": "リソースグループID", "nullable": true, "example": 1 }, "is_oauth": { "type": "boolean", "description": "BigQuery, GoogleAnalytics4, Google SpreadSheets の場合: OAuth認証を使用しているかどうか\n", "example": true }, "is_workload_identity_federation": { "type": "boolean", "description": "BigQueryの場合: Workload Identity Federation認証を使用しているかどうか\n", "example": true }, "workload_identity_federation_config": { "type": "object", "description": "BigQueryの場合: Workload Identity Federation設定(JSON object)\n", "additionalProperties": true, "nullable": true, "example": { "type": "external_account", "audience": "//iam.googleapis.com/projects/123456789012/locations/global/workloadIdentityPools/example-pool/providers/example-provider", "subject_token_type": "urn:ietf:params:oauth:token-type:jwt", "token_url": "https://sts.googleapis.com/v1/token" } }, "wif_external_id": { "type": "string", "description": "BigQueryの場合: Workload Identity Federationの外部ID\n", "nullable": true, "example": "my-external-id" }, "has_service_account_json_key": { "type": "boolean", "description": "BigQuery, GoogleAnalytics4の場合: サービスアカウントのJSONキーが登録されているかどうか\n", "example": false }, "project_id": { "type": "string", "description": "BigQueryの場合: プロジェクトID\n", "example": "MyProject" }, "google_oauth2_credential_id": { "type": "integer", "format": "int64", "description": "BigQuery, GoogleAnalytics4, Google SpreadSheets の場合: OAuth認証情報ID\n", "nullable": true, "example": 1 }, "host": { "type": "string", "nullable": true, "description": "Snowflake, PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracleの場合: ホスト名\nOracleの場合: tns_admin_oraを指定した場合はnullになります\nBacklogの場合: ホスト名。ポート番号を含めることができます(例: *.backlog.com:443)\nSmartHRの場合: ホスト名。ポート番号を含めることができます(例: *.smarthr.jp)\n", "example": "********.********.********.snowflakecomputing.com" }, "http_path": { "type": "string", "description": "Databricksの場合: HTTPパス\n", "example": "sql/protocolv1/o/1234567890123456/012" }, "port": { "type": "integer", "nullable": true, "description": "PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracleの場合: ポート\nOracleの場合: tns_admin_oraを指定した場合はnullになります\n", "example": 5432 }, "auth_method": { "type": "string", "enum": [ "user_password", "key_pair", "programmatic_access_token", "oauth", "auto", "scram-sha-1", "scram-sha-256", "mongodb-x509" ], "description": "Snowflakeの場合: 認証方法 (key_pair, programmatic_access_token, oauth, user_password)。なお、ユーザー・パスワード認証 (user_password) は、Snowflakeの仕様変更により将来的に廃止される予定です。Microsoft Entra IDによるOAuth認証 (oauth) の接続情報はTROCCOの画面からのみ作成できます。\nSalesforceの場合: 認証方法 (user_password)\nMongoDBの場合: 認証方法 (auto, scram-sha-1, scram-sha-256, mongodb-x509)\n", "example": "key_pair", "nullable": true }, "auth_type": { "type": "string", "enum": [ "pat", "oauth-m2m", "api_key", "oauth2" ], "default": "pat", "description": "Databricksの場合: 認証方法 (pat, oauth-m2m)\nカスタムコネクタの場合: 紐付くカスタムコネクタ定義の認証方式 (api_key, oauth2)\n", "example": "pat" }, "user_name": { "type": "string", "description": "Salesforce, Snowflake, PostgreSQL, SQL Server, SFTPの場合, MongoDB, Redshift, Oracleの場合: ユーザー名\n", "example": "test", "nullable": true }, "role": { "type": "string", "description": "Snowflakeの場合: クエリの実行に使用するロールを指定します。\n", "nullable": true, "example": "TEST" }, "aws_privatelink_enabled": { "type": "boolean", "description": "Snowflake, SFTP, Redshift, Oracleの場合: AWS PrivateLinkを使用しているかどうか\n", "example": false }, "driver": { "type": "string", "nullable": true, "description": "Snowflake, PostgreSQL, SQL Serverの場合: JDBCドライバのバージョン\nOracleの場合: JDBCドライバのファイル名 (12c-ojdbc7.jar, 19c-ojdbc8.jar, 26ai-ojdbc8.jar)\n", "example": "3.14.2" }, "tns_admin_ora": { "type": "string", "nullable": true, "description": "Oracleの場合: TNSネーミングを使用して接続する場合の tnsnames.ora の内容。指定した場合、host / port / connection_type は無視されます。\n", "example": "ORCL =\n (DESCRIPTION =\n (ADDRESS = (PROTOCOL = TCP)(HOST = example.com)(PORT = 1521))\n (CONNECT_DATA = (SERVICE_NAME = orcl))\n )\n" }, "ssl_direct_negotiation": { "type": "boolean", "nullable": true, "description": "PostgreSQLの場合: SSLダイレクトネゴシエーション(sslnegotiation=direct)を有効にするかどうか。JDBCドライバー 42.7.4以上が必要です。\n", "example": false }, "salesforce_oauth2_credential_id": { "type": "integer", "format": "int64", "description": "Salesforceの場合: OAuth認証情報ID\n", "nullable": true, "example": 1 }, "is_sandbox": { "type": "boolean", "description": "Salesforceの場合: サンドボックス環境を使用しているかどうか\n", "example": false }, "has_security_token": { "type": "boolean", "description": "Salesforceの場合: セキュリティトークンが登録されているかどうか\n", "example": false }, "auth_end_point": { "type": "string", "description": "Salesforceの場合: 認証エンドポイント\n", "default": "https://login.salesforce.com/services/Soap/u/", "example": "https://login.salesforce.com/services/Soap/u/" }, "has_password": { "type": "boolean", "description": "Salesforce, PostgreSQL, SFTPの場合の場合, MongoDB, Redshift, Oracleの場合: passwordを設定しているかどうか\n", "example": true }, "ssl": { "type": "boolean", "description": "PostgreSQL, SQL Server, Redshift, Oracleの場合: SSL\n", "example": true }, "ssl_ca": { "type": "string", "nullable": true, "description": "Oracleの場合: SSL証明書 (CA証明書)\n", "example": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----" }, "has_ssl_ca": { "type": "boolean", "description": "Oracleの場合: SSL証明書 (ssl_ca) を設定しているかどうか\n", "example": false }, "has_wallet_file": { "type": "boolean", "description": "Oracleの場合: Oracle Wallet (Autonomous Database接続用の証明書ファイル) を設定しているかどうか。\n", "example": false }, "ssl_mode": { "type": "string", "description": "PostgreSQLの場合の場合: SSLモード\n", "example": "require", "nullable": true }, "gateway_enabled": { "type": "boolean", "description": "PostgreSQL, SQL Server, MongoDB, Redshift, Oracleの場合: SSHトンネルを使用する場合はtrueを指定します。\n", "example": true }, "domain": { "type": "string", "description": "kintoneの場合の場合: ドメイン\n", "example": "example.com" }, "login_method": { "type": "string", "description": "kintoneの場合の場合: ログイン方法\n", "example": "username_and_password", "enum": [ "username_and_password", "token" ] }, "username": { "type": "string", "description": "kintoneの場合, カオナビの場合: ユーザーネーム\n", "example": "テストユーザー", "nullable": true }, "basic_auth_username": { "type": "string", "description": "kintoneの場合の場合: ベーシック認証ユーザーネーム\n", "example": "テストベーシック認証ユーザー", "nullable": true }, "client_certificate_enabled": { "type": "boolean", "description": "kintoneの場合: クライアント証明書(セキュアアクセス)を使用するかどうか。証明書とパスワードの値は返しません\n", "example": false }, "connection_string_format": { "type": "string", "enum": [ "standard", "dns_seed_list" ], "description": "MongoDBの場合: 接続文字列フォーマット\n", "example": "standard", "nullable": true }, "read_preference": { "type": "string", "enum": [ "primary", "primaryPreferred", "secondary", "secondaryPreferred", "nearest" ], "description": "MongoDBの場合: 読み取り設定\n", "example": "primary", "nullable": true }, "auth_source": { "type": "string", "description": "MongoDBの場合: 認証データベース名\n", "example": "admin", "nullable": true }, "replica_set": { "type": "string", "description": "MongoDBの場合: レプリカセット名\n", "example": "rs0", "nullable": true }, "read_preference_tags": { "type": "array", "description": "MongoDBの場合: 読み取り設定タグ。タグセットの配列で、各タグセットは{key, value}オブジェクトの配列です。\n", "items": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string" }, "value": { "type": "string" } }, "required": [ "key", "value" ] } }, "nullable": true }, "strict_read_preference_tags": { "type": "boolean", "description": "MongoDBの場合: 厳密な読み取り設定タグ。trueの場合、タグに一致するサーバーがない場合にフォールバックしません。\n", "example": false }, "gateway_host": { "type": "string", "description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSHホスト\n", "example": "bastion.example.com", "nullable": true }, "gateway_port": { "type": "integer", "description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSHポート\n", "example": 22, "nullable": true }, "gateway_user_name": { "type": "string", "description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSHユーザー\n", "example": "sshuser", "nullable": true }, "has_gateway_password": { "type": "boolean", "description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSHパスワードが設定されているかどうか\n", "example": true }, "has_gateway_key": { "type": "boolean", "description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSH秘密鍵が設定されているかどうか\n", "example": false }, "has_gateway_key_passphrase": { "type": "boolean", "description": "PostgreSQL, MongoDB, Redshift, Oracleの場合: SSH秘密鍵のパスフレーズが設定されているかどうか\n", "example": false }, "has_private_key_passphrase": { "type": "boolean", "description": "Snowflakeの場合: 秘密鍵のパスフレーズが設定されているかどうか\n", "example": false }, "user_directory_is_root": { "type": "boolean", "description": "SFTPの場合の場合: 相対パスとして探索する\n", "example": true }, "windows_server": { "type": "boolean", "description": "SFTPの場合の場合: Windowsサーバー\n", "example": true }, "ssh_tunnel_id": { "type": "integer", "description": "SFTP, Redshift, Oracleの場合: SSHトンネル設定\n", "example": 1, "nullable": true }, "has_secret_key": { "type": "boolean", "description": "SFTPの場合: 秘密鍵が登録されているかどうか\n", "example": true }, "has_secret_key_passphrase": { "type": "boolean", "description": "SFTPの場合: 秘密鍵のパスフレーズが登録されているかどうか\n", "example": false }, "api_key": { "type": "string", "description": "Backlog, SmartHR, バクラク, PagerDutyの場合: API Key\n", "example": "example_value" }, "aws_access_key_id": { "type": "string", "description": "Redshiftの場合: AWSアクセスキーID\n", "example": "AKIAIOSFODNN7EXAMPLE" }, "password": { "type": "string", "description": "カオナビの場合: ユーザー・パスワード認証を使用する場合はパスワードを指定します。\n", "example": "example_value" }, "account_id": { "type": "string", "description": "Marketoの場合: REST APIのエンドポイントの中の一部がアカウントIDになっています。\nhttps://XXX-XXX-XXX.mktorest.com/rest におけるXXX-XXX-XXXの部分です。\n", "example": "123-ABC-456" }, "client_id": { "type": "string", "description": "Marketoの場合: クライアントID\n", "example": "client_xyz789" }, "has_client_secret": { "type": "boolean", "description": "Marketoの場合: クライアントシークレット\n", "example": true }, "api_max_call_count": { "type": "integer", "format": "int64", "description": "Marketoの場合: APIコール上限値\n", "example": 5000, "default": 1000 }, "custom_connector_id": { "type": "integer", "format": "int64", "description": "カスタムコネクタの場合: 紐付くカスタムコネクタ定義のID\n", "example": 1 }, "oauth2_client_id": { "type": "string", "description": "カスタムコネクタ(OAuth2認証方式)の場合: OAuth2クライアントID\n", "nullable": true, "example": "client_xyz789" }, "scopes": { "type": "array", "items": { "type": "string" }, "description": "カスタムコネクタ(OAuth2認証方式)の場合: OAuth2スコープ一覧(作成順)\n", "nullable": true, "example": [ "read", "write" ] }, "authorized": { "type": "boolean", "description": "カスタムコネクタ(OAuth2認証方式)の場合: OAuth2認証が完了しているかどうか。\nclient_credentialsグラントの場合は対話的な認証操作が不要なため常にtrue。\nauthorization_codeグラントの場合、外部APIでの作成直後は必ずfalse(未認可)で、\nTROCCO画面上で認証を完了すると初めてtrueになる。\n", "example": false } }, "required": [ "id", "name", "description", "resource_group_id" ], "example": { "id": 1, "name": "サンプル", "description": "desc", "resource_group_id": 1, "is_oauth": true, "has_service_account_json_key": false, "project_id": "MyProject", "google_oauth2_credential_id": 0 } } } } }, "400": { "description": "不正なリクエストです。" }, "401": { "description": "API KEYが不正です。" }, "404": { "description": "指定した接続情報種別が存在しません。" } } } } }, "components": { "securitySchemes": { "ApiKeyAuth": { "type": "apiKey", "in": "header", "name": "Authorization", "description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n" } } } } ````